
typedef struct
{
    char *data;
    int size;
    int pos;
} assembly_data;

assembly_data *assembly_new(int);
void assembly_free(assembly_data *);

void assembly_put(assembly_data *, int cnt, ...);
void assembly_dw(assembly_data *, unsigned int);
void assembly_buf(assembly_data *d, char *buf, int len);
void assembly_reset(assembly_data *d);
int assembly_next(assembly_data *d);
void assembly_dump(assembly_data *);
