
#if !defined(__i386__) && !defined(_M_IX86)
#error "Only X86 is supported"
#endif

#ifndef __SYRINGE_H_

#ifdef __GNUC__
    #define GET_THIS(this) __asm__ __volatile__ ("movl %%ecx, %0" : "=m" (this))
    #define SET_THIS(this) __asm__ __volatile__ ("movl %0, %%ecx" : "=m" (this))
#else
    #error "Need explicit compiler support for thiscall"
#endif

enum {
    SYRINGE_ERROR,
    SYRINGE_SUCCESS
};

typedef struct {
    int (__stdcall *attach)(void **func, void *repl);
} syringe_exports;

typedef void (__stdcall *SYRINGE_INIT)(syringe_exports *);

#define __SYRINGE_H_
#endif
